
set( artdaq_VERSION 1.13.01 )
set( artdaq_UPS_VERSION v1_13_01 )


####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was product-config.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################


## find_ups_product directives
## remember that these are minimum required versions
    find_ups_boost( v1_53_0 )
    find_ups_product( TRACE v3_03_00 )
    find_ups_product( art v1_08_10 )
    find_ups_product( canvas  )
    find_ups_product( cppunit  )
    find_ups_product( clhep  )
    find_ups_product( cetlib  )
    find_ups_product( fhiclcpp  )
    find_ups_product( sqlite v3_07_15_00 )
    find_ups_product( messagefacility  )
    find_ups_product( tbb  )
    find_ups_root(  )
    find_ups_product( artdaq_core v1_03_01 )
    find_ups_product( cetpkgsupport v1_08_03 )
    find_ups_product( artdaq_utilities v1_00_00 )
    find_ups_product( xmlrpc_c v1_25_18 )


## find_library directives
    if( NOT SQLITE3 )
      cet_find_library( SQLITE3 NAMES sqlite3_ups PATHS ENV SQLITE_LIB NO_DEFAULT_PATH )
    endif()
    if( NOT CLHEP )
      cet_find_library( CLHEP NAMES CLHEP PATHS ENV CLHEP_LIB_DIR NO_DEFAULT_PATH )
    endif()
    if( NOT CPPUNIT )
      cet_find_library( CPPUNIT NAMES cppunit PATHS ENV CPPUNIT_LIB NO_DEFAULT_PATH )
    endif()
      set( TEST_ARTMODULES_FRAGMENTSNIFFER_MODULE  $ENV{ARTDAQ_LIB}/libtest_ArtModules_FragmentSniffer_module.so )
      set( ARTDAQ_DAQDATA  $ENV{ARTDAQ_LIB}/libartdaq_DAQdata.so )
      set( ARTDAQ_DAQDATA_GENERICFRAGMENTSIMULATOR_GENERATOR  $ENV{ARTDAQ_LIB}/libartdaq_DAQdata_GenericFragmentSimulator_generator.so )
      set( ARTDAQ_DAQRATE  $ENV{ARTDAQ_LIB}/libartdaq_DAQrate.so )
      set( ARTDAQ_APPLICATION  $ENV{ARTDAQ_LIB}/libartdaq_Application.so )
      set( ARTDAQ_APPLICATION_COMPOSITEDRIVER_GENERATOR  $ENV{ARTDAQ_LIB}/libartdaq_Application_CompositeDriver_generator.so )
      set( ARTDAQ_APPLICATION_MPI2  $ENV{ARTDAQ_LIB}/libartdaq_Application_MPI2.so )
      set( ARTDAQ_EXTERNALCOMMS  $ENV{ARTDAQ_LIB}/libartdaq_ExternalComms.so )
      set( ARTDAQ_ARTMODULES  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules.so )
      set( ARTDAQ_ARTMODULES_DICT  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_dict.so )
      set( ARTDAQ_ARTMODULES_RAWINPUT_SOURCE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RawInput_source.so )
      set( ARTDAQ_ARTMODULES_RANDOMDELAYFILTER_MODULE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RandomDelayFilter_module.so )
      set( ARTDAQ_ARTMODULES_NETMONINPUT_SOURCE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_NetMonInput_source.so )
      set( ARTDAQ_ARTMODULES_ROOTMPIOUTPUT_MODULE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_RootMPIOutput_module.so )
      set( ARTDAQ_ARTMODULES_BINARYMPIOUTPUT_MODULE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_BinaryMPIOutput_module.so )
      set( ARTDAQ_ARTMODULES_BINARYFILEOUTPUT_MODULE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_BinaryFileOutput_module.so )
      set( ARTDAQ_ARTMODULES_NETMONTRANSPORTSERVICE_SERVICE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_NetMonTransportService_service.so )
      set( ARTDAQ_ARTMODULES_ARTDAQBUILDINFO_MODULE  $ENV{ARTDAQ_LIB}/libartdaq_ArtModules_ArtdaqBuildInfo_module.so )
      set( ARTDAQ_BUILDINFO  $ENV{ARTDAQ_LIB}/libartdaq_BuildInfo.so )
      set( ARTDAQ_TRANSFERPLUGINS  $ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins.so )
      set( ARTDAQ_TRANSFERPLUGINS_TRANSFERINPUT_SOURCE  $ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_TransferInput_source.so )
      set( ARTDAQ_TRANSFERPLUGINS_SHMEM_TRANSFER  $ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_shmem_transfer.so )
      set( ARTDAQ_TRANSFERPLUGINS_MULTICAST_TRANSFER  $ENV{ARTDAQ_LIB}/libartdaq_TransferPlugins_multicast_transfer.so )
      include_directories ( $ENV{ARTDAQ_INC} )

check_required_components(artdaq)

